## org.eclipse.emf.ecore.presentation
Class EcoreActionBarContributor.Reflective

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.eclipse.emf.ecore.presentation.EcoreActionBarContributor
                      org.eclipse.emf.ecore.presentation.EcoreActionBarContributor.Reflective

All Implemented Interfaces:
  IMenuListener, ISelectionChangedListener, IEditorActionBarContributor, IPropertyListener

Enclosing class:
  EcoreActionBarContributor

    public static class EcoreActionBarContributor.Reflective

extends EcoreActionBarContributor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.presentation.EcoreActionBarContributor
`EcoreActionBarContributor.ExtendedLoadResourceAction, EcoreActionBarContributor.Reflective`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.presentation.EcoreActionBarContributor
`activeEditorPart, createChildActions, createChildMenuManager, createSiblingActions, createSiblingMenuManager, lastSelectionChangedEvent, refreshViewerAction, selectionProvider, showGenericsAction, showPropertiesViewAction`

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activeEditor, ADDITIONS_LAST_STYLE, controlAction, copyAction, cutAction, deleteAction, loadResourceAction, pasteAction, redoAction, style, undoAction, validateAction`

Constructor Summary
`EcoreActionBarContributor.Reflective()`

Method Summary
`protected IMenuManager` `createSubmenuManager()`

Methods inherited from class org.eclipse.emf.ecore.presentation.EcoreActionBarContributor
`addGlobalActions, contributeToMenu, contributeToToolBar, depopulateManager, dispose, generateCreateChildActions, generateCreateSiblingActions, isGenericFeature, menuAboutToShow, populateManager, removeAllReferencesOnDelete, selectionChanged, selectionChangedGen, setActiveEditor, setActiveEditorGen, showGenerics`

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, contributeToStatusLine, createCopyAction, createCutAction, createDeleteAction, createPasteAction, createRedoAction, createUndoAction, deactivate, getActiveEditor, init, propertyChanged, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreActionBarContributor.Reflective

    public EcoreActionBarContributor.Reflective()

Method Detail

### createSubmenuManager

    protected IMenuManager createSubmenuManager()

  Overrides:
    `createSubmenuManager` in class `EcoreActionBarContributor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.